System Requirements for FileFormats Components

8 Jun 20221 minute to read

The system requirements for using our Syncfusion FileFormats platform are as follows

Operating Systems

Syncfusion File Format libraries are supported on any of the following operating systems:

  • Windows 10
  • Windows 8, 8.1
  • Windows 7
  • Windows Vista
  • Windows Server 2008 and later
  • Alpine: 3.10+
  • Debian: 9+
  • Ubuntu: 16.04+
  • Fedora: 29+
  • centOS: 7+
  • RHEL: 6+
  • openSUSE: 15+
  • SUSE Enterprise Linux (SLES): 12 SP2+
  • Mac OS 10.13+ (x64)
  • Android
  • iOS

Development Environment

In order to develop applications with the Syncfusion File Format libraries, you need to install any of the Visual Studio versions.

  • Microsoft Visual Studio 2010
  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2013
  • Microsoft Visual Studio 2015
  • Microsoft Visual Studio 2017
  • Microsoft Visual Studio 2019

Syncfusion File format libraries supports the following .NET Framework and .NET Core versions

  • .NET Framework 3.5
  • .NET Framework 4.0
  • .NET Framework 4.5
  • .NET Framework 4.6
  • .NET Standard 2.0 (Can be used in .NET Core 2.1/3.1, .NET 5.0, .NET 6.0 application)

You can use our file format libraries in any type of .NET application, like WinForms, WPF, Web services, ASP.NET Web Forms, ASP.NET MVC, ASP.NET Core, Blazor, UWP, Xamarin, WinUI and .NET MAUI applications.